# Ionic Elements for Progressive Web Apps

This project is a growing collection of pre-built UI experiences for Web APIs such
as camera/video, focused on building Progressive Web Apps that meet and exceed
native mobile app experiences.

These elements are a key part of our mission to build the [Progressive Web App OS](https://medium.com/@maxlynch/building-the-progressive-web-app-os-57daebcb69c1)
by providing awesome UIs on top of low-level Web APIs.

These components are built as Web Components that can be used in any web app, using
the power of [Stencil JS](http://stenciljs.com/).

## Currently Supported

Currently, the project offers a quality in-app Camera experience using
`getUserMedia`, with support for multiple cameras and with automatic handling
of image data.

See [the provided example](https://github.com/ionic-team/ionic-pwa-elements/blob/master/src/index.html)
for an example of how to use these components.

## Capacitor Usage

Ionic PWA Elements were built primarily for developers using [Capacitor](https://capacitorjs.com/),
our Native app container that allows web apps to run on nearly every platform
with consistent APIs.

Ionic PWA Elements offer web-UI experiences for Capacitor apps running in a browser
as PWA, such that the API is identical for the PWA and the native app store app.

See the [Capacitor PWA Elements](https://capacitorjs.com/docs/web/pwa-elements)
page for more information on using this library in your Capacitor apps.
